<template>
  <figure class="catalog-cover">
    <img :src="value.firstCover.scan?.url" :alt="firstCoverAlt" />
    <figcaption>{{ value.year }}</figcaption>
  </figure>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";
import { Catalog } from "@/models/Catalog";
import { PropType } from "vue";

@Options({
  name: CatalogCover.name,
  props: {
    value: {
      type: Object as PropType<Catalog>,
    },
  },
})
export default class CatalogCover extends Vue {
  value!: Catalog;

  get firstCoverAlt(): string {
    return `First cover of catalog ${this.value.id}`;
  }
}
</script>

<style lang="scss">
.catalog-cover {
  img {
    width: 128px;
    aspect-ratio: 1;
    object-fit: contain;
    background-color: #222;
    box-shadow: 2px 0 4px rgba(0, 0, 0.5, 0.3);
  }
}
</style>
